/*This file is part of SoftSERVE.
 *
 *   SoftSERVE is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   SoftSERVE is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with SoftSERVE.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef THREEINTCA_H_
#define THREEINTCA_H_

double CAI3E0t(double w, double s6, double s5);
double CAI3EM1t(double w, double s6, double s5);
double CAI3EM2t(double w, double s6, double s5);
double CAI3EM3t(double w, double s6, double s5);

double CAI3E0u(double w, double s6, double z);
double CAI3EM1u(double w, double s6, double z);
double CAI3EM2u(double w, double s6, double z);
double CAI3EM3u(double w, double s6, double z);

double CAI3E0y(double w, double s6, double x);
double CAI3EM1y(double w, double s6, double x);
double CAI3EM2y(double w, double s6, double x);
double CAI3EM3y(double w, double s6, double x);

double CAI3E0b(double w, double s6, double c);
double CAI3EM1b(double w, double s6, double c);
double CAI3EM2b(double w, double s6, double c);
double CAI3EM3b(double w, double s6, double c);

#endif /* THREEINTCA_H_ */
