/*This file is part of SoftSERVE.
 *
 *   SoftSERVE is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   SoftSERVE is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with SoftSERVE.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef THREEINT_H_
#define THREEINT_H_

double I3EM3k(double xk, double s, double s6);
double I3EM2k(double xk, double s, double s6);
double I3EM1k(double xk, double s, double s6);
double I3E0k(double xk, double s, double s6);

double I3EM3l(double xl, double s, double s6);
double I3EM2l(double xl, double s, double s6);
double I3EM1l(double xl, double s, double s6);
double I3E0l(double xl, double s, double s6);

double I3EM3c(double c, double s, double s6);
double I3EM2c(double c, double s, double s6);
double I3EM1c(double c, double s, double s6);
double I3E0c(double c, double s, double s6);

double I3EM3s(double s, double s5, double s6);
double I3EM2s(double s, double s5, double s6);
double I3EM1s(double s, double s5, double s6);
double I3E0s(double s, double s5, double s6);

#endif /* THREEINT_H_ */
