/*
 * This file contains user specified input shared between all colour structures
 */

#include <string>
#include <Input_Common.h>
#include <Input_Parameters.h>

using namespace std;

// Please give your observable a name here (enclosed by quotation marks)
string observable="Observable";

/* Declare and define any parameters you may need here, please. However, and this is important:
 * 
 * Any parameter defined here MUST also be listed as "extern" in "Input_Parameters.h".
 * Without this, building the executables WILL fail. 
 */ 
double placeholder=.5;

/* Define the power of the leading scaling in the variable y of the exponent of the measurement 
 * function
 */ 
double n=1.-placeholder;

/* Define the leading power of y in the expansion of F here (see manual)
 * For most observables m=1 should be correct.
 */ 
double m=1;

/*This file is part of SoftSERVE.
 *
 *   SoftSERVE is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   SoftSERVE is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with SoftSERVE.  If not, see <http://www.gnu.org/licenses/>.
 */
