/*This file is part of SoftSERVE.
 *
 *   SoftSERVE is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   SoftSERVE is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with SoftSERVE.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef FIVEINTNF_H_
#define FIVEINTNF_H_

double NfI5E0u(double w, double s6, double x, double s5, double c);
double NfI5EM1u(double w, double s6, double x, double s5, double c);

double NfI5E0y(double w, double s6, double s5, double z, double c);
double NfI5EM1y(double w, double s6, double s5, double z, double c);

double NfI5E0t(double w, double s6, double x, double z, double c);
double NfI5EM1t(double w, double s6, double x, double z, double c);

#endif /* FIVEINTNF_H_ */
