#ifndef INTAD_H_
#define INTAD_H_

double OL(double s, double a, double b, double c);

double CALap(double w, double sl, double c, double z);
double NFLap(double w, double sl, double c, double z);
double CFLap(double x, double s, double sl, double c);

double CAMom(double w, double sl, double c, double z);
double NFMom(double w, double sl, double c, double z);
double CFMom(double x, double s, double sl, double c);

double CFCheckLap(double x, double s, double sl, double c);
double CFVanishLap(double qx, double s, double sl, double c);
double CFCheckMom(double x, double s, double sl, double c);
double CFVanishMom(double qx, double s, double sl, double c);

#endif /* INTAD_H_ */
